Subject: Re: all works except -d, -l, -L on Solaris 2.5.1

From: [email-masked] (Miquel Cabanas. BBM-UAB)
Date: Sat, 01 Feb 1997 13:51:49 +0100

hi,

Bob Luckin writes

> Roger Hanke asked :-
> >  But on Solaris 2.5.1 system, same Beta 11 source and GCC version, I get
> > xferlog entries, and I get /var/adm/messages entries when errors occur,
> > like logon refused. My command line has -a -u options only.
> > When I add -d, -l, and -L options to the command line I do not get any
> > more info printed to messages. Still just get ftpd messages there when
> > errors occur. I have flipped back and forth several times to verify this,
> > making sure to signal inetd each time. Also have done this on two different
> > Solaris 2.5.1 systems as well. These servers have also been rebooted since 
> > the options were added, still no output.
> > 
> >  Can anyone think of any reason since it knows where /var/adm/messages
> > is for sure, why it wouldnt put out the -d, -l, or -L info there when requested?
> > Any differences in the way this extra output is handled from the way error
> > messages are?
> 
> If I remember correctly (and if I don't, hopefully someone will correct
> me  :-)  ), under Solaris syslog output is handled by the syslogd daemon,
> which must be running.  The output, and the files it writes to are controlled
> by the configuration file "/etc/syslog.conf".
> 
> So you need to make sure your /etc/syslog.conf file is configured
> appropriately, to write the correct type of log messages to the desired
> file.  'fraid I can't recommend settings off the top of my head; just
> check the syslogd man page and experiment util you get what you want.
> You'll need to force syslogd to reread the config file each time you
> change it - I think this can be done by sending it the HUP signal.
> 

Bob is right, although more complex configuration are certainly available,
the following lines added to the /etc/syslog.conf file suffice to log
all 'info' messages (ie, connections & timeouts)

	#
	# 07/03/95  Miquel E Cabanas
	# after Sun Managers FAQ - enable syslogd for ftpd
	#
	daemon.info	/var/adm/syslog

for instance, this are several entries written by my ftp server
	>
	>Jan 17 18:31:06 ###### ftpd[1630]: FTPD: connection from ***.***.** at \
	>	Fri Jan 17 18:31:06 1997
	>Jan 17 18:36:27 ###### ftpd[1630]: FTPD: User ftp timed out after 300 seconds \
	>	at Fri Jan 17 18:36:27 1997
	>Jan 17 20:10:49 ###### ftpd[1788]: FTPD: connection from ***.***.** at \
	>	Fri Jan 17 20:10:49 1997
	>

Other related entries are 'daemon.notice' to logs to /var/adm/messages by default,
and 'daemon.err' that sends messages to the operator.

miquel

Miquel E Cabanas ---------------------------------------------------
SeRMN & BBM - Universitat Autonoma de Barcelona, Catalunya - Spain

e-mail: [email-masked]
url:    http://bbm-web.uab.es/biomed-nmr/miquel_angles.html
------------------------------------------o-oo--ooo---ooo--oo-o-----

---

From: "Roger A. Hanke" <[email-masked]>
Date: Mon, 3 Feb 1997 11:11:25 -0500

Thanks to all who responded. Everyone contributed a piece it turns out.

 Yes on my Solaris 2.5.1 /etc/inetd.conf file only 4 arguments were being
recognized to wuftpd, the 5th one, -L, in my case was being ignored.

 Yes all daemon.* entries were missing from /etc/syslog.conf on Solaris 
2.5.1. Turns out by adding daemon.info and daemon.notice this just 
resulted in three messages instead of one of types like:
 ACCESS DENIED, FTP LOGIN REFUSED.
But took look at IRIX 6.2 syslog.conf file which had *.debug set. Once set
daemon.debug then I got what I was looking for, what I had been getting
on SGI right along, a full detailed description of entire ftp session.

 Thanx again,
	Roger Hanke

----------
From: 	Miquel Cabanas. BBM-UAB
Sent: 	Saturday, February 01, 1997 7:51 AM
To: 	[email-masked]
Subject: 	Re: all works except -d, -l, -L on Solaris 2.5.1

hi,

Bob Luckin writes

	#

miquel